void set_foreground(int index, Display * dd);
void fill_rect(taskbar* tb, int x, int y, int a, int b);
void scale_icon (task *tk, Display * dd);
void gui_draw_vline (taskbar * tb, int x,int row);
void draw_line (taskbar *tb, int x, int y, int a, int b);
